aboutsummaryrefslogtreecommitdiffstats
path: root/testing/rgxg
diff options
context:
space:
mode:
authorhloeffler <hloeffler@users.noreply.github.com>2017-02-01 23:02:19 +0100
committerTimo Teräs <timo.teras@iki.fi>2017-02-08 07:36:01 +0000
commit3096d153c636ee75f5bb3e32cd0e4cf4adfc69c4 (patch)
treed7e707c55be99885a1a1e1ae7cee281d29c38c41 /testing/rgxg
parentf08d82b05040abbdc93e93d094e430afc5de76d2 (diff)
downloadaports-3096d153c636ee75f5bb3e32cd0e4cf4adfc69c4.tar.bz2
aports-3096d153c636ee75f5bb3e32cd0e4cf4adfc69c4.tar.xz
testing/rgxg: new aport
https://rgxg.github.io/ rgxg (ReGular eXpression Generator) is a C library and a command-line tool that generate (extended) regular expressions.
Diffstat (limited to 'testing/rgxg')
-rw-r--r--testing/rgxg/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/testing/rgxg/APKBUILD b/testing/rgxg/APKBUILD
new file mode 100644
index 0000000000..9befd78c99
--- /dev/null
+++ b/testing/rgxg/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Hauke Loeffler <alpine@hauke-loeffler.de>
+# Maintainer: Hauke Loeffler <alpine@hauke-loeffler.de>
+pkgname=rgxg
+pkgver=0.1.1
+pkgrel=0
+pkgdesc="rgxg (ReGular eXpression Generator) is a C library and a command-line tool to generate (extended) regular expressions."
+url="https://rgxg.github.io/"
+arch="all"
+license="zlib"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://github.com/rgxg/rgxg/releases/download/v$pkgver/rgxg-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ ./configure --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="228b5a88ebad944abc585e71dd6520ab rgxg-0.1.1.tar.gz"
+sha256sums="6566cd05d116475e98ceb57a5fdb25d8743f7381799aeb8e218433ff4fbb139f rgxg-0.1.1.tar.gz"
+sha512sums="5a0e3849dd7c312efdac064675c94188a18c55002843887216009295ddeb522c01593f9de6c0517df058f9525dac355665bb3dbaf0041472d8a80dd6368b08f6 rgxg-0.1.1.tar.gz"